Bug 614065 - mediawiki opensearch_desc.php has bad path
Summary: mediawiki opensearch_desc.php has bad path
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawiki
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-13 15:51 UTC by Joel Uckelman
Modified: 2011-04-30 23:25 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-21 05:27:56 UTC


Attachments (Terms of Use)

Description Joel Uckelman 2010-07-13 15:51:04 UTC
Description of problem:

1) /usr/share/mediawiki/opensearch_desc.php is not symlinked to /var/www/wiki by default, so links to it served out in <head>s of wiki pages don't work.

2) Adding a symlink to it /var/www/wiki isn't sufficient to get it to work, because it contains the line

  require_once ( dirname(__FILE__) . '/includes/WebStart.php' );

and dirname(__FILE__) is incorrect when running opensearch_desc.php from /var/www/wiki/opensearch_desc.php.

In order to fix this, I had to change that line to:

  require_once( '/usr/share/mediawiki/includes/WebStart.php' );

Since a link to this script is served on every MW page, and a lot of browsers request it automatically, having no symlink or a bad require path can generate a huge number of errors in Apache's error_log.


Version-Release number of selected component (if applicable):

mediawiki-1.15.4-54.fc13.x86_64


How reproducible:

Always

Steps to Reproduce:
1. Configure MW.
2. Browse to /wiki/opensearch_desc.php.

  
Actual results:

404 Not Found.

Expected results:

An XML file produced by opensearch_desc.php.


Additional info:

This is basically the same issue as Bug 484855 was for api.php.

Comment 1 Joel Uckelman 2010-07-14 13:00:56 UTC
Addendum: I also needed to add 

  chdir('/usr/share/mediawiki');

to opensearch_desc.php.

Comment 2 Fedora Update System 2011-04-07 09:00:59 UTC
mediawiki-1.16.2-56.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc14

Comment 3 Fedora Update System 2011-04-07 09:01:32 UTC
mediawiki-1.16.2-56.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc15

Comment 4 Fedora Update System 2011-04-07 09:01:55 UTC
mediawiki-1.16.2-56.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc13

Comment 5 Fedora Update System 2011-04-07 18:48:19 UTC
Package mediawiki-1.16.2-56.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.16.2-56.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-16 06:52:46 UTC
mediawiki-1.16.4-57.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc14

Comment 7 Fedora Update System 2011-04-16 06:53:31 UTC
mediawiki-1.16.4-57.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc13

Comment 8 Fedora Update System 2011-04-16 06:54:10 UTC
mediawiki-1.16.4-57.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc15

Comment 9 Fedora Update System 2011-04-21 05:27:17 UTC
mediawiki-1.16.4-57.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-22 08:36:09 UTC
mediawiki-1.16.4-58.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc14

Comment 11 Fedora Update System 2011-04-22 08:36:59 UTC
mediawiki-1.16.4-58.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc13

Comment 12 Fedora Update System 2011-04-22 08:37:42 UTC
mediawiki-1.16.4-58.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc15

Comment 13 Joel Uckelman 2011-04-24 13:05:45 UTC
This does indeed fix the problem. Thanks!

Comment 14 Fedora Update System 2011-04-26 16:03:34 UTC
mediawiki-1.16.4-58.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-04-30 23:23:08 UTC
mediawiki-1.16.4-58.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-04-30 23:24:57 UTC
mediawiki-1.16.4-58.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.